Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1736378 - openas2: FTBFS in Fedora rawhide/f31
Summary: openas2: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openas2
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stuart D Gathman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-08-01 17:09 UTC by Fedora Release Engineering
Modified: 2019-11-02 02:27 UTC (History)
1 user (show)

Fixed In Version: openas2-2.10.0-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-02 02:27:44 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2019-08-01 17:09 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2019-08-01 17:09 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2019-08-01 17:09 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-08-01 17:09:01 UTC
openas2 failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36636579


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix openas2 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
openas2 will be orphaned. Before branching of Fedora 32,
openas2 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-01 17:09:04 UTC
Created attachment 1598443 [details]
build.log

Comment 2 Fedora Release Engineering 2019-08-01 17:09:06 UTC
Created attachment 1598444 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-01 17:09:07 UTC
Created attachment 1598445 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 17:03:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:29:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Stuart D Gathman 2019-08-15 16:28:18 UTC
The immediate problem is that h2 database has gone away.  I have a patch to use hsqldb instead which I can activate - but that leave any current users high and dry as far as converting their data.  It is "just" a matter of exporting on h2 (which, if you've already updated to f31, is gone) and importing on hsqldb.  

The longer term problem is that many other packages are going away - and I'm supposed to convert this to modular.

Comment 7 Stuart D Gathman 2019-10-23 12:55:38 UTC
I have not found the source for sqltool.jar, which is the CLI hsqldb recommends to load the DDL.  I may have to write a bare bones script runner - I think I can use one of the ScriptReader classes.

Comment 8 Fedora Update System 2019-10-23 22:34:58 UTC
FEDORA-2019-edefdc749c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-edefdc749c

Comment 9 Fedora Update System 2019-10-24 18:54:44 UTC
openas2-2.10.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-edefdc749c

Comment 10 Fedora Update System 2019-11-02 02:27:44 UTC
openas2-2.10.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.